<template>
    <v-container fluid>
        <v-row>
            <v-col cols="12">
                <v-row align="center" justify="center">
                    <v-col cols="12">
                        <p class="text-center">Create room</p>
                    </v-col>
                    <v-col cols="10">
                        <v-btn
                            class="game-menu-btn"
                            tile
                            outlined
                            color="success"
                            block
                        >
                            <v-icon>mdi-controller-classic-outline</v-icon>
                        </v-btn>
                    </v-col>
                </v-row>
            </v-col>
        </v-row>
        <v-row>
            <v-col cols="12">
                <v-row align="center" justify="center">
                    <v-col cols="12">
                        <p class="text-center">Join room</p>
                    </v-col>
                    <v-col cols="5">
                        <v-btn
                            class="game-menu-btn"
                            tile
                            outlined
                            color="success"
                            block
                        >
                            <v-icon>mdi-controller-classic-outline</v-icon>
                        </v-btn>
                    </v-col>
                    <v-col cols="5">
                        <v-btn
                            class="game-menu-btn"
                            tile
                            outlined
                            color="success"
                            block
                        >
                            <v-icon>mdi-monitor-screenshot</v-icon>
                        </v-btn>
                        <!-- <v-btn-toggle
                        v-model="toggle_exclusive"
                        mandatory
                    >
                        <v-btn tile outlined color="success" block>
                            <v-icon>mdi-controller-classic-outline</v-icon>
                        </v-btn>
                        <v-btn tile outlined color="success" block>
                            <v-icon>mdi-monitor-screenshot</v-icon>
                        </v-btn>
                    </v-btn-toggle>-->
                    </v-col>
                </v-row>
            </v-col>
        </v-row>
    </v-container>
</template>

<script>
export default {
    name: 'GameMenu'
};
</script>

<style lang="scss" scoped>
.game-menu-btn {
    height: 20vmin !important;
    background-color: #fafafa !important;
    opacity: 0.8;

    i {
        font-size: 16vmin !important;
    }
}

.game-menu-btn:hover {
    opacity: 1;
}
</style>
